OpenVDB 5.1.0

Public Types | Public Member Functions | Public Attributes | List of all members
ComputeExtremas< ParticleArrayT > Struct Template Reference

`#include <ParticleAtlas.h>`

## Public Types
using | PosType = typename ParticleArrayT::PosType
using | ScalarType = typename PosType::value_type

## Public Member Functions
| ComputeExtremas (const ParticleArrayT &particles)
| ComputeExtremas (ComputeExtremas &rhs, tbb::split)
void | operator() (const tbb::blocked_range< size_t > &range)
void | join (const ComputeExtremas &rhs)

## Public Attributes
ParticleArrayT const *const | particleArray
ScalarType | minRadius
ScalarType | maxRadius

## Member Typedef Documentation

## ◆ PosType

using PosType = typename ParticleArrayT::PosType

## ◆ ScalarType

using ScalarType = typename PosType::value_type

## Constructor & Destructor Documentation

## ◆ ComputeExtremas() [1/2]

ComputeExtremas | ( | const ParticleArrayT & | particles | ) |
| inline

## ◆ ComputeExtremas() [2/2]

ComputeExtremas | ( | ComputeExtremas< ParticleArrayT > & | rhs,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

## ◆ join()

void join | ( | const ComputeExtremas< ParticleArrayT > & | rhs | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |
| inline

## Member Data Documentation

## ◆ maxRadius

ScalarType maxRadius

## ◆ minRadius

ScalarType minRadius

## ◆ particleArray

ParticleArrayT const* const particleArray

The documentation for this struct was generated from the following file:

- ParticleAtlas.h